# -*- coding: utf-8 -*-
import pytest

from tests.test_resources.api_test_runner import run_test_case

trait_data = [
    {"params": {"q": "flexibel"}, "historical": 2820},
    {"params": {"q": "ansvarstagande"}, "historical": 1237},
    {"params": {"q": "noggrann"}, "historical": 1884},
    {"params": {"q": "positiv"}, "historical": 2769},
    {"params": {"q": "driven"}, "historical": 1515},
    {"params": {"q": "samarbetsförmåga"}, "historical": 1727},
    {"params": {"q": "engagerad"}, "historical": 1597},
    {"params": {"q": "social"}, "historical": 2107},
    pytest.param({"params": {"q": "kommunikativ"}, "historical": 975}, marks=pytest.mark.smoke),
    {"params": {"q": "strukturerad"}, "historical": 1346},
    {"params": {"q": "lyhörd"}, "historical": 1172},
    {"params": {"q": "självgående"}, "historical": 1242},
    {"params": {"q": "arbeta självständigt"}, "historical": 9675},
    {"params": {"q": "serviceinriktad"}, "historical": 1023},
    {"params": {"q": "lösningsorienterad"}, "historical": 425},
    {"params": {"q": "initiativrik"}, "historical": 368},
    {"params": {"q": "nyfikenhet"}, "historical": 318},
    {"params": {"q": "kreativ"}, "historical": 828},
    {"params": {"q": "självständig"}, "historical": 574},
    {"params": {"q": "lagspelare"}, "historical": 514},
    {"params": {"q": "prestigelös"}, "historical": 652},
    {"params": {"q": "målinriktad"}, "historical": 356},
    {"params": {"q": "analytisk"}, "historical": 491},
    {"params": {"q": "tydlig"}, "historical": 850},
    pytest.param({"params": {"q": "stresstålig"}, "historical": 640}, marks=pytest.mark.smoke),
    {"params": {"q": "lugn"}, "historical": 460},
    {"params": {"q": "ödmjukhet"}, "historical": 77},
    {"params": {"q": "utåtriktad"}, "historical": 712},
    {"params": {"q": "stabil"}, "historical": 507},
    {"params": {"q": "drivande"}, "historical": 554},
    {"params": {"q": "resultatinriktad"}, "historical": 264},
    {"params": {"q": "ordningsam"}, "historical": 272},
    {"params": {"q": "ambition"}, "historical": 505},
    {"params": {"q": "affärsmässig"}, "historical": 139},
    {"params": {"q": "kvalitetsmedveten"}, "historical": 255},
    {"params": {"q": "pedagogisk"}, "historical": 882},
    {"params": {"q": "integritet"}, "historical": 338},
    {"params": {"q": "nytänkande"}, "historical": 478},
    {"params": {"q": "professionell"}, "historical": 561},
    {"params": {"q": "effektiv"}, "historical": 566},
    {"params": {"q": "pålitlig"}, "historical": 259},
    {"params": {"q": "servicekänsla"}, "historical": 294},
    {"params": {"q": "arbetsmoral"}, "historical": 185},
    {"params": {"q": "serviceminded"}, "historical": 230},
    pytest.param({"params": {"q": "empatisk"}, "historical": 193}, marks=pytest.mark.smoke),
    {"params": {"q": "framtidstro"}, "historical": 169},
    {"params": {"q": "samarbetsvillig"}, "historical": 134},
    {"params": {"q": "relationsskapande"}, "historical": 116},
    {"params": {"q": "mognad"}, "historical": 169},
    {"params": {"q": "förtroendeingivande"}, "historical": 126},
    {"params": {"q": "omdöme"}, "historical": 120},
    {"params": {"q": "ärlighet"}, "historical": 72},
    {"params": {"q": "kundorienterad"}, "historical": 100},
    {"params": {"q": "uthållig"}, "historical": 108},
    {"params": {"q": "hjälpsam"}, "historical": 131},
    {"params": {"q": "gillar utmaningar"}, "historical": 2862},
    {"params": {"q": "självinsikt"}, "historical": 59},
    {"params": {"q": "lojal"}, "historical": 146},
    {"params": {"q": "administrativ"}, "historical": 340},
    {"params": {"q": "tävlingsinriktad"}, "historical": 267},
    {"params": {"q": "framåtanda"}, "historical": 122},
    {"params": {"q": "snabb"}, "historical": 467},
    {"params": {"q": "proaktiv"}, "historical": 133},
    {"params": {"q": "handlingskraftig"}, "historical": 153},
    {"params": {"q": "orädd"}, "historical": 136},
    {"params": {"q": "ordningssinne"}, "historical": 105},
    {"params": {"q": "tillmötesgående"}, "historical": 135},
    {"params": {"q": "energisk"}, "historical": 96},
    {"params": {"q": "strategisk"}, "historical": 181},
    {"params": {"q": "metodiskt"}, "historical": 55},
    {"params": {"q": "uppmärksam"}, "historical": 101},
    {"params": {"q": "verbal"}, "historical": 61},
    {"params": {"q": "utvecklingsinriktad"}, "historical": 59},
    {"params": {"q": "trevlig"}, "historical": 392},
    {"params": {"q": "driftig"}, "historical": 107},
    {"params": {"q": "arbetsvillig"}, "historical": 84},
    {"params": {"q": "humor"}, "historical": 153},
    {"params": {"q": "motiverad"}, "historical": 182},
    {"params": {"q": "problemlösningsförmåga"}, "historical": 51},
    {"params": {"q": "problemlösande"}, "historical": 62},
    {"params": {"q": "anpassningsbar"}, "historical": 58},
    {"params": {"q": "organisationsförmåga"}, "historical": 81},
    {"params": {"q": "teamkänsla"}, "historical": 155},
    {"params": {"q": "doer"}, "historical": 20},
    {"params": {"q": "omtänksam"}, "historical": 58},
    {"params": {"q": "innovativ"}, "historical": 157},
    {"params": {"q": "inger förtroende"}, "historical": 432},
    {"params": {"q": "entusiastisk"}, "historical": 53},
    {"params": {"q": "planeringsförmåga"}, "historical": 39},
    {"params": {"q": "passionerad"}, "historical": 45},
    {"params": {"q": "modig"}, "historical": 70},
    {"params": {"q": "relationsbyggande"}, "historical": 36},
    {"params": {"q": "entreprenörsanda"}, "historical": 95},
    {"params": {"q": "ihärdig"}, "historical": 17},
    {"params": {"q": "inkännande"}, "historical": 20},
    {"params": {"q": "fokuserad"}, "historical": 71},
    {"params": {"q": "säkerhetstänk"}, "historical": 36},
    {"params": {"q": "tänkande"}, "historical": 124},
    {"params": {"q": "vänlig"}, "historical": 111},
    {"params": {"q": "vetgirig"}, "historical": 17},
    {"params": {"q": "tålmodig"}, "historical": 92},
    {"params": {"q": "praktiskt lagd"}, "historical": 381},
    pytest.param({"params": {"q": "rolig"}, "historical": 220}, marks=pytest.mark.smoke),
    {"params": {"q": "hunger"}, "historical": 5},
    {"params": {"q": "serviceanda"}, "historical": 47},
    {"params": {"q": "operativ"}, "historical": 119},
    {"params": {"q": "pigg"}, "historical": 76},
    {"params": {"q": "varm"}, "historical": 92},
    {"params": {"q": "tävlingsmänniska"}, "historical": 49},
    {"params": {"q": "idérik"}, "historical": 21},
    {"params": {"q": "kvalitetstänk"}, "historical": 28},
    {"params": {"q": "säkerhetsmedveten"}, "historical": 27},
    {"params": {"q": "samarbetsinriktad"}, "historical": 22},
    {"params": {"q": "systematisk"}, "historical": 56},
    {"params": {"q": "säljinriktad"}, "historical": 28},
    {"params": {"q": "rak"}, "historical": 63},
    {"params": {"q": "snabblärd"}, "historical": 58},
    {"params": {"q": "lättsam"}, "historical": 36},
    {"params": {"q": "entusiasm"}, "historical": 72},
    {"params": {"q": "logiskt"}, "historical": 30},
    {"params": {"q": "lagkänsla"}, "historical": 16},
    {"params": {"q": "välorganiserad"}, "historical": 32},
    {"params": {"q": "transparent"}, "historical": 25},
    {"params": {"q": "sunt förnuft"}, "historical": 35},
    {"params": {"q": "lyssnare"}, "historical": 27},
    {"params": {"q": "siffersinne"}, "historical": 29},
    {"params": {"q": "lättlärd"}, "historical": 51},
    {"params": {"q": "dynamisk"}, "historical": 374}
]


@pytest.mark.parametrize("test_case", trait_data)
def test_trait(test_case):
    run_test_case(test_case)
